site_url: "https://piyopiyo.netlify.app"
logo_url: "https://piyopiyo.netlify.app/admin/piyoadmin.png"
locale: 'ja'
show_preview_links: true
collections:
  - name: "blog" # Used in routes, e.g., /admin/collections/blog
    label: "記事" # Used in the UI
    folder: "src/contents/posts" # The path to the folder where the documents are stored
    create: true # Allow users to create new documents in this collection
    slug: "{{fields.slug}}"
    fields: # The fields for each document, usually in frontmatter
      - { label: "Layout", name: "layout", widget: "hidden", default: "PostLayout" }
      - { label: "Slug", name: "slug", widget: "string", hint: "URLに使われる文字列　例) empire_law" }
      - { label: "Title", name: "title", widget: "string", hint: "記事のタイトル" }
      - { label: "Publish Date", name: "published", widget: "datetime", hint: "公開日" }
      - { label: "Description", name: "description", widget: "string", hint: "記事のサブタイトル兼ogpに表示される説明文" }
      - { label: "Category", name: "category", widget: "string", hint: "記事のカテゴリー" }
      - { label: "Tags", name: "tags", widget: "list", hint: "タグ(複数入力可)" }
      - { label: "Author", name: "author", widget: "string", default: "ぴよちゃま", hint: "著者名" }
      - { label: "Druft", name: "druft", widget: "boolean", required: false, default: false, hint: "下書き保存したいときはオン"}
      - { label: "Body", name: "body", widget: "markdown" }
      - { label: "Cover Image", name: "cover", widget: "image", required: false, hint: "記事のサムネイルに使用する画像" }
    sortable_fields: ['title', 'published', 'category', 'druft']
  - name: "specs"
    label: "Prof/Info"
    folder: "src/contents/specs"
    create: false
    fields:
      - { label: "Title", name: "title", widget: "string" }
      - { label: "Description", name: "description", widget: "string", hint: "ogpに表示される説明文(画面上には表示されない)" }
      - { label: "Body", name: "body", widget: "markdown" }
      - { label: "Cover Image", name: "cover", widget: "image", required: false, hint: "画面上部背景" }
    delete: false
  - name: "gallery"
    label: "ギャラリー"
    folder: "src/contents/galleries"
    create: false
    fields:
      - { label: "Title", name: "title", widget: "string",default: "ぴよぴよ美術館", hint: "ギャラリーページタイトル" }
      - { label: "Description", name: "description", widget: "string", hint: "ogpに表示される説明文" }
      - { label: "Publish Date", name: "published", widget: "datetime", hint: "最終更新日" }
      - { label: "Body", name: "body", widget: "markdown", required: false, hint: 美術館について }
      - { label: "Cover Image", name: "cover", widget: "image", required: false, hint: "画面上部背景" }
      - label: "Gallery"
        name: "images"
        widget: "list"
        summary: '{{fields.title}}'
        fields:
          - { label: Image, name: image, widget: image }
          - { label: "Title", name: "title", widget: "string", hint: "画像タイトル" }
          - { label: "Comment", name: "comment", widget: "text", required: false, hint: "コメント" }
          - { label: "Author", name: "author", widget: "string", required: false, hint: "作者名" }
          - { label: "Link", name: "link", widget: "string", required: false, hint: "作者のSNSなどのURL" }

backend:
  name: git-gateway
  branch: main
media_library:
  name: cloudinary
  output_filename_only: true
  config:
    cloud_name: piyopiyo
    api_key: 315234756554384
    default_transformations:
      - - fetch_format: auto
          quality: auto

# when using the default proxy server port
local_backend: true
